## muffin 5.2.1

=== debian/changelog ===
muffin (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1.

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sat, 12 Mar 2022 17:45:03 -0500

muffin (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Jan 2022 18:49:45 +0100

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper-compat (= 13),
 dh-acc,
 dh-sequence-gir,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.9.12-5~),
 gtk-doc-tools,
 intltool (>= 0.34.90),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 4.6),
 libdrm-dev,
 libgbm-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libgles-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.9.12),
 libice-dev,
 libinput-dev,
 libjson-glib-dev (>= 0.13.2-1~),
 libpango1.0-dev (>= 1.14.0),
 libsm-dev,
 libstartup-notification0-dev (>= 0.7),
 libudev-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxcb-randr0-dev,
 libxcb-res0-dev,
 libxcomposite-dev (>= 1:0.3),
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxrandr-dev,
 libxrender-dev,
 libxt-dev,
 zenity,
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
Breaks: cinnamon (<< 5.0~), cinnamon-common (<< 5.0~)

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-meta-muffin-0.0 (= ${binary:Version}),
 libcinnamon-desktop-dev (>= 5.0~),
 libgtk-3-dev (>= 3.9.12),
 libmuffin0 (= ${binary:Version}),
 ${misc:Depends},
Description: lightweight window and compositing manager (development files)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the development files.

Package: libmuffin0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 muffin-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: cinnamon (<< 5.0~)
Description: lightweight window and compositing manager (shared library)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the window manager shared library, used by muffin
 itself, and Cinnamon.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 muffin-common (= ${source:Version}),
 zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: x-window-manager
Recommends: cinnamon-session (>= 5.0~) | x-session-manager
Suggests: cinnamon-control-center (>= 5.0~), xdg-user-dirs
Description: lightweight window and compositing manager
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the core binaries.
Breaks: cinnamon (<< 5.0~), cinnamon-core (<< 5.0~)

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: lightweight window and compositing manager (data files)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the shared data files.

Package: muffin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: lightweight window and compositing manager (Documentation)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the documentation files distributed with Cinnamon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq (ppc64el,$(filter $(DEB_BUILD_ARCH),ppc64el))
  CFLAGS += -O2
endif

%:
	dh $@

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
	                     --disable-silent-rules\
	                     --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install -p gir1.2-meta-muffin-0.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/muffin/*.typelib /usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0
	dh_install --remaining-packages

override_dh_auto_test:
	: temporary

run_dh_acc:
	# The package needs to be installed (@ in autopkgtest)
	for in_file in debian/*.acc.in; do \
	    out_file=$${in_file%.in}; \
	    sed 's/\$${DEB_HOST_MULTIARCH}/'"$(DEB_HOST_MULTIARCH)"'/' \
		"$${in_file}" > "$${out_file}"; \
	done

	dh_acc

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%muffin-$1.tar.gz%" \
   https://github.com/linuxmint/muffin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## muffin 5.2.1+una

=== debian/changelog ===
muffin (5.2.1+una) una; urgency=medium

  [ Michael Webster ]
  * Fix window centering calculations, and now include the frame if there is one.
  * constraints: Fix inability to drag c-s-d windows up beyond their titlebars.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Mar 2022 13:29:30 +0000

muffin (5.2.0) una; urgency=medium

  [ Michael Webster ]
  * Don't allow fullscreen windows to also become decorated.
  * window.c: Fix de-tiling using keyboard shortcuts.

  [ Nikita Karnauhov ]
  * compositor.c: Skip offscreen windows when unredirecting.

  [ Michael Webster ]
  * Fix regression caused by 610d60d953cb1 - it was affecting programs that started in fullscreen mode.

  [ JosephMcc ]
  * window.c: Properly update gtK_edge_constraints
  * window.c: Update a wrong value in our edge constraints

  [ Michael Webster ]
  * debian/control: Update build dep, remove transitional package.

  [ JosephMcc ]
  * meta-shadow-factory: Tweak window shadows

  [ Pro-pra ]
  * build: improve check ACLOCAL_AMFLAGS (#605)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 12:53:52 +0000

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 10),
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.9.12-5~),
 gtk-doc-tools,
 intltool (>= 0.34.90),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 3.6),
 libgirepository1.0-dev (>= 0.9.12),
 libglvnd-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.9.12),
 libice-dev,
 libpango1.0-dev (>= 1.14.0),
 libjson-glib-dev,
 libsm-dev,
 libstartup-notification0-dev (>= 0.7),
 libx11-dev,
 libxcomposite-dev (>= 1:0.3),
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxrandr-dev,
 libxrender-dev,
 libxcb-res0-dev,
 libxt-dev,
 libx11-xcb-dev,
 libxcb-randr0-dev,
 zenity,
Standards-Version: 3.9.4

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Breaks: gir1.2-muffin-3.0
Replaces: gir1.2-muffin-3.0
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmuffin0
Section: libs
Architecture: any
Replaces: libmuffin-dev
Pre-Depends: ${misc:Pre-Depends}
Depends: muffin-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 muffin-common (= ${source:Version}),
 zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: x-window-manager
Suggests: gnome-themes, xdg-user-dirs
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.

Package: muffin-common
Section: misc
Architecture: all
Depends: dconf-gsettings-backend | gsettings-backend, sgml-base (>= 1.26)
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libmuffin0 (= ${binary:Version}),
 muffin (= ${binary:Version}),
 ${misc:Depends},
Description: window and compositing manager (debugging symbols)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the debugging symbols.

Package: muffin-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Muffin documentation
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the code documentation for Muffin.

## muffin 5.4.7

=== debian/changelog ===
muffin (5.4.7-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.4.7
  * Update symbols

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 09 Sep 2022 11:07:33 +0200

muffin (5.4.6-1) unstable; urgency=medium

  * New upstream version 5.4.6
  * d/copyright: avoid redundant globbing patterns

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 21 Aug 2022 21:11:51 +0200

muffin (5.4.5-3) unstable; urgency=medium

  * Fix library name for pkgconfig in autopkgtest
  * d/rules: disable wacom in configure for not linux archs
  * d/control: add missed libcinnamon-desktop-dev to libmuffin-dev deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 15 Aug 2022 14:20:48 +0200

muffin (5.4.5-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 14 Aug 2022 15:51:46 +0200

muffin (5.4.5-1) experimental; urgency=medium

  * New upstream version 5.4.5

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 01 Aug 2022 20:42:57 +0200

muffin (5.4.4-1) experimental; urgency=medium

  * New upstream version 5.4.4
  * d/control: add libwacom-dev to build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 25 Jul 2022 22:11:20 +0200

muffin (5.4.3-1) experimental; urgency=medium

  * New upstream version 5.4.3
  * Update symbols
  * d/control: add missing breaks/replaces to libmuffin-dev and
    libmuffin0 for moved files in 5.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 20 Jul 2022 23:00:17 +0200

muffin (5.4.1-1) experimental; urgency=medium

  * New upstream version 5.4.1
    this is a big rebase after over 10 years based on
    Mutter 3.36.9-0ubuntu0.20.04.1
  * Simplify d/watch
  * debian: big packaging changes mainly based on mutter packaging
    and some changes done upstream
  * add d/libmuffin0.bug-control: include GL drivers in bug reports
  * dump deps and breaks of reverse-deps to 5.4
  * change packages long description
  * removed muffin-doc and add replaces in muffin
  * remove d/patches: the patch is not needed anymore
  * update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 10 Jul 2022 22:55:06 +0200

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
        debhelper-compat (= 13),
        dh-sequence-gir,
        at-spi2-core <!nocheck>,
        adwaita-icon-theme <!nocheck>,
        cinnamon-desktop-data (>= 5.4),
        dbus <!nocheck>,
        dmz-cursor-theme <!nocheck>,
        gnome-pkg-tools (>= 0.10),
        cinnamon-settings-daemon (>= 5.4) <!nocheck>,
        gobject-introspection (>= 1.41.3),
        gtk-doc-tools (>= 1.15),
        libcairo2-dev (>= 1.10.0),
        libcanberra-gtk3-dev,
        libdrm-dev (>= 2.4.83) [linux-any],
        libegl-dev,
        libegl1-mesa-dev (>= 17) [linux-any],
        libfribidi-dev (>= 1.0.0),
        libgirepository1.0-dev (>= 0.9.12),
        libgl1-mesa-dev (>= 7.1~rc3-1~),
        libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
        libglib2.0-dev (>= 2.61.1),
        libcinnamon-desktop-dev (>= 5.4),
        libgraphene-1.0-dev (>= 1.9.3),
        libgtk-3-dev (>= 3.19.8),
        libgudev-1.0-dev (>= 232) [linux-any],
        libice-dev,
        libinput-dev (>= 1.7) [linux-any],
        libjson-glib-dev (>= 0.13.2-1~),
        libpam0g-dev,
        libpango1.0-dev (>= 1.2.0),
        libpipewire-0.3-dev [linux-any],
        libsm-dev,
        libstartup-notification0-dev (>= 0.7),
        libsystemd-dev (>= 212) [linux-any],
        libwacom-dev (>= 0.13) [linux-any],
        libxau-dev,
        libx11-dev,
        libx11-xcb-dev,
        libxcb-randr0-dev,
        libxcb-res0-dev,
        libxcomposite-dev (>= 1:0.4),
        libxcursor-dev,
        libxdamage-dev,
        libxext-dev,
        libxfixes-dev,
        libxi-dev (>= 2:1.7.4),
        libxinerama-dev,
        libxkbcommon-dev (>= 0.4.3),
        libxkbcommon-x11-dev,
        libxkbfile-dev,
        libxrandr-dev,
        libxrender-dev,
        libxt-dev,
        meson (>= 0.50),
        pkg-config (>= 0.22),
        xauth <!nocheck>,
        xkb-data,
        xserver-xorg-core [linux-any],
        xvfb <!nocheck>,
        zenity
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmuffin0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
Breaks: cinnamon (<< 5.4~), cinnamon-common (<< 5.4~)

Package: libmuffin0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon (<< 5.4~), libmuffin-dev (<< 5.4.1-1~)
Replaces: libmuffin-dev (<< 5.4.1-1~)
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Recommends: cinnamon-session (>= 5.4~) | x-session-manager
Suggests: cinnamon-control-center (>= 5.4~), xdg-user-dirs
Replaces: muffin-doc
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.
Breaks: cinnamon (<< 5.4~), cinnamon-core (<< 5.4~)

Package: muffin-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
         libatk1.0-dev,
         libcairo2-dev,
         libcinnamon-desktop-dev (>= 5.4),
         libdrm-dev,
         libegl1-mesa-dev,
         libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev (>= 1.7),
         libjson-glib-dev,
         libmuffin0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Breaks: libmuffin0 (<< 5.4.1-1~)
Replaces: libmuffin0 (<< 5.4.1-1~)
Description: window and compositing manager (development files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the development files.

## muffin 5.4.7+vanessa

=== debian/changelog ===
muffin (5.4.7+vanessa) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * some fixes to debian packaging (#635)

  [ Michael Webster ]
  * keybindings: Fix workspace navigation while dragging a window with the mouse.
  * tiling: Try to tile to the default size if a match exists, but is impossible to satisfy due to min/max size constraints.
  * tiling: Fix tile top/maximize tests.
  * window.c: Remove unused code.
  * tiling: Make it easier to debug.
  * Relocate bring-windows-to-current-workspace from org.cinnamon to org.cinnamon.muffin.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:35:56 +0100

muffin (5.4.6) vanessa; urgency=medium

  [ JosephMcc ]
  * prefs.c: Restore the locate pointer functionality

  [ Michael Webster ]
  * tiling: Skip the resize effect for tiled windows during user grabs.

  [ Jonas Dreßler ]
  * clutter: Bail out and warn on reentry into mapping/unmapping cycle

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:11:44 +0200

muffin (5.4.5) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * fix a spelling error spotted by lintian

  [ Michael Webster ]
  * window.c: Allow tiling in any monitor orientataion.
  * tiling: Disable drag-to-maximize behavior if tiling is disabled, fix drag re-tile/maximize behavior in all scenarios.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:03:55 +0200

muffin (5.4.4) vanessa; urgency=medium

  [ Michael Webster ]
  * workspace.c: Don't abort when requesting the index of an invalid workspace.
  * Enable tablet support.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jul 2022 15:02:04 +0200

muffin (5.4.3) vanessa; urgency=medium

  [ JosephMcc ]
  * keybindings.c: Make sure we can tile before we attempt to (#624)

  [ Michael Webster ]
  * tiling: Treat a maximized window as tiled for the purposes of determining whether or not to save the window's original position and size.
  * tiling: When tiling at the end of a grab, use the initial position and size from when the grab began instead of it's last position before tiling.

  [ Rick Calixte ]
  * Fix .gitignore for builds

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jul 2022 07:58:37 +0200

muffin (5.4.2) vanessa; urgency=medium

  [ Cobinja ]
  * Fix placement of transient children of fullscreen windows

  [ Michael Webster ]
  * frames.c: Re-implement directional maximization when double-clicking the frame edges.
  * theme.c: Don't suppress the invisible border for non-tile/maximized non-resizable windows.
  * Restore the 'bring windows which require attention to the current workspace' feature.
  * window.c: Make opacity a public property.

  [ Latchezar Tzvetkoff ]
  * Fix "Center window in screen" behavior (#623)

  [ Michael Webster ]
  * frames.c: Fix calculations for determining resize zones in a tiled state.
  * tiling: re-maximize previously-maximized windows when dragging, regardless of the tile-maximize preference.
  * grabs: Fix restoration of window state when resize or move actions are cancelled via Escape.
  * window.c: If maximizing a tiled window via titlebar, use the window's current, not its unconstrained position and size to pass to the constraints call.
  * compositor: Add a MetaSizeChange value for tiling.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:06:59 +0200

muffin (5.4.1) vanessa; urgency=medium

  [ Michael Webster ]
  * Add ClutterTextureContent.
  * keybindings: Don't make custom shortcuts per-window.
  * Suppress 'invisible' borders and theme shadows for maximized and tiled windows.
  * bell: Restore configurability.
  * meta-input-settings.c (a11y): Don't handle togglekeys.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2022 10:22:22 +0200

muffin (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Mutter 3.36.9-0ubuntu0.20.04.1 rebase
  * Restore x root window backgrounds.
  * Allow custom and mod-only keybindings.
  * Reintroduce the bottom window group.

  [ Fabio Fantoni ]
  * debian/control: restore something removed in 8dbf865
  * debian/tests: mutter->muffin

  [ Michael Webster ]
  * Make a couple of methods public to restore some old MetaScreen functionality we rely on.
  * XApp themed icon names, progress.
  * x11 backend: Don't let muffin reset the keyboard layout any time some outside force tries to change it (libgnomekbd).
  * Freeze the window actor during unminimize.
  * Restore 'unredirect-fullscreen-windows'
  * Restore workspace wraparound.
  * Restore additional titlebar actions.
  * Restore desktop zoom mousewheel handling.
  * Add MUFFIN_NO_SHADOWS support.
  * Implement migration from old cinnamon-monitors.xml
  * Enabled xrandr scaling by default.
  * Re-implement corner/top/bottom tiling.
  * Disable ssd shadows when tiled, even without matching windows.

  [ JosephMcc ]
  * window.c: Reduce the tile area along the top edge of the screen

  [ Michael Webster ]
  * Expose a window's tile mode. Fix tile zone calculation.
  * Fix random crash when clicking the frame of a tiled window.
  * Cleanup deps, build flags
  * Work around an issue with nvidia sync waiting ref: https://gitlab.gnome.org/GNOME/mutter/-/commit/2afe3e922344a77f42afd388ad6c2ac456b314ce
  * Manage stacking for the desklet and desktop actors in the compositor so they can be managed properly with the background.

  [ Stephen Collins ]
  * x11 input settings: Fix middle click emulation setting not working right

  [ Michael Webster ]
  * Fix a couple of build warnings

  [ Fabio Fantoni ]
  * debian: restore kfreebsd support d/rules: restore armel and armhf default_driver change

  [ Michael Webster ]
  * Don't terminate on a bad allocation.
  * x11 backend: Don't rebuild all keybindings every time a different keyboard device is used.
  * Use cinnamon for interface names.
  * Remove some unused files, dependency.
  * rules: disable dh_dwz (build warnings)
  * Catch gtk theme name changes instead of simply relying on monitored style classes and elements changing.


=== debian/control ===
--- 
+++ 
@@ -1,24 +1,17 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
- Joshua Peisach <itzswirlz2020@outlook.com>,
- Norbert Preining <norbert@preining.info>,
- Christoph Martin <martin@uni-mainz.de>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
-        debhelper-compat (= 13),
+        debhelper-compat (= 12),
         dh-sequence-gir,
         at-spi2-core <!nocheck>,
         adwaita-icon-theme <!nocheck>,
-        cinnamon-desktop-data (>= 5.4),
+        cinnamon-desktop-data (>= 5.3.0),
         dbus <!nocheck>,
         dmz-cursor-theme <!nocheck>,
         gnome-pkg-tools (>= 0.10),
-        cinnamon-settings-daemon (>= 5.4) <!nocheck>,
+        cinnamon-settings-daemon <!nocheck>,
         gobject-introspection (>= 1.41.3),
         gtk-doc-tools (>= 1.15),
         libcairo2-dev (>= 1.10.0),
@@ -31,7 +24,7 @@
         libgl1-mesa-dev (>= 7.1~rc3-1~),
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev (>= 2.61.1),
-        libcinnamon-desktop-dev (>= 5.4),
+        libcinnamon-desktop-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev (>= 3.19.8),
         libgudev-1.0-dev (>= 232) [linux-any],
@@ -40,7 +33,7 @@
         libjson-glib-dev (>= 0.13.2-1~),
         libpam0g-dev,
         libpango1.0-dev (>= 1.2.0),
-        libpipewire-0.3-dev [linux-any],
+        libpipewire-0.3-dev [linux-any] | libpipewire-0.2-dev [linux-any],
         libsm-dev,
         libstartup-notification0-dev (>= 0.7),
         libsystemd-dev (>= 212) [linux-any],
@@ -70,16 +63,15 @@
         xserver-xorg-core [linux-any],
         xvfb <!nocheck>,
         zenity
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
-Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
+Standards-Version: 4.5.0
 
 Package: gir1.2-meta-muffin-0.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
+Breaks: gir1.2-muffin-3.0
+Replaces: gir1.2-muffin-3.0
 Depends: libmuffin0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
@@ -90,7 +82,6 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 5.4~), cinnamon-common (<< 5.4~)
 
 Package: libmuffin0
 Section: libs
@@ -101,8 +92,8 @@
          muffin-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: cinnamon (<< 5.4~), libmuffin-dev (<< 5.4.1-1~)
-Replaces: libmuffin-dev (<< 5.4.1-1~)
+Replaces: muffin-doc
+Breaks: apparmor (<< 2.13.3-5~)
 Description: window and compositing manager (shared library)
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
@@ -118,15 +109,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: x-window-manager
-Recommends: cinnamon-session (>= 5.4~) | x-session-manager
-Suggests: cinnamon-control-center (>= 5.4~), xdg-user-dirs
-Replaces: muffin-doc
+Suggests: xdg-user-dirs
 Description: window and compositing manager
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 5.4~), cinnamon-core (<< 5.4~)
 
 Package: muffin-common
 Section: misc
@@ -139,10 +127,26 @@
  .
  This package contains the shared files.
 
+Package: muffin-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends:
+ libmuffin0 (= ${binary:Version}),
+ muffin (= ${binary:Version}),
+ ${misc:Depends},
+Description: window and compositing manager (debugging symbols)
+ Muffin is a window manager performing compositing as well based on
+ GTK+ and Clutter and used in Cinnamon desktop environment.
+ .
+ This package contains the debugging symbols.
+
 Package: libmuffin-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Breaks: libmuffin0 (<< 5.3)
+Replaces: libmuffin0 (<< 5.3)
 Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
          libatk1.0-dev,
          libcairo2-dev,
@@ -167,8 +171,6 @@
          libxi-dev,
          libxrandr-dev,
          ${misc:Depends}
-Breaks: libmuffin0 (<< 5.4.1-1~)
-Replaces: libmuffin0 (<< 5.4.1-1~)
 Description: window and compositing manager (development files)
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.

## muffin 5.6.2

=== debian/changelog ===
muffin (5.6.2-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Dec 2022 19:12:41 +0100

muffin (5.6.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.6.2
  * Update symbols
  * Bump needed deps and breaks of reverse-deps to 5.6

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gnome-pkg-tools,
      gobject-introspection, gtk-doc-tools, libcairo2-dev, libdrm-dev,
      libegl1-mesa-dev, libfribidi-dev, libgirepository1.0-dev, libgl1-mesa-dev,
      libgles2-mesa-dev, libgtk-3-dev, libgudev-1.0-dev, libinput-dev,
      libjson-glib-dev, libpango1.0-dev, libstartup-notification0-dev,
      libsystemd-dev, libwacom-dev, libxcomposite-dev, libxi-dev,
      libxkbcommon-dev and pkg-config.
    + libmuffin-dev: Drop versioned constraint on libgles2-mesa-dev and
      libinput-dev in Depends.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 20 Dec 2022 20:08:09 +0100

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
        debhelper-compat (= 13),
        dh-sequence-gir,
        at-spi2-core <!nocheck>,
        adwaita-icon-theme <!nocheck>,
        cinnamon-desktop-data (>= 5.6),
        dbus <!nocheck>,
        dmz-cursor-theme <!nocheck>,
        gnome-pkg-tools,
        cinnamon-settings-daemon (>= 5.4) <!nocheck>,
        gobject-introspection,
        gtk-doc-tools,
        libcairo2-dev,
        libcanberra-gtk3-dev,
        libdrm-dev [linux-any],
        libegl-dev,
        libegl1-mesa-dev [linux-any],
        libfribidi-dev,
        libgirepository1.0-dev,
        libgl1-mesa-dev,
        libgles2-mesa-dev | libgles2-dev,
        libglib2.0-dev (>= 2.61.1),
        libcinnamon-desktop-dev (>= 5.6),
        libgraphene-1.0-dev (>= 1.9.3),
        libgtk-3-dev,
        libgudev-1.0-dev [linux-any],
        libice-dev,
        libinput-dev [linux-any],
        libjson-glib-dev,
        libpam0g-dev,
        libpango1.0-dev,
        libpipewire-0.3-dev [linux-any],
        libsm-dev,
        libstartup-notification0-dev,
        libsystemd-dev [linux-any],
        libwacom-dev [linux-any],
        libxau-dev,
        libx11-dev,
        libx11-xcb-dev,
        libxcb-randr0-dev,
        libxcb-res0-dev,
        libxcomposite-dev,
        libxcursor-dev,
        libxdamage-dev,
        libxext-dev,
        libxfixes-dev,
        libxi-dev,
        libxinerama-dev,
        libxkbcommon-dev,
        libxkbcommon-x11-dev,
        libxkbfile-dev,
        libxrandr-dev,
        libxrender-dev,
        libxt-dev,
        meson (>= 0.50),
        pkg-config,
        xauth <!nocheck>,
        xkb-data,
        xserver-xorg-core [linux-any],
        xvfb <!nocheck>,
        zenity
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmuffin0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
Breaks: cinnamon (<< 5.6~), cinnamon-common (<< 5.4~)

Package: libmuffin0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon (<< 5.6~), libmuffin-dev (<< 5.4.1-1~)
Replaces: libmuffin-dev (<< 5.4.1-1~)
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Recommends: cinnamon-session (>= 5.4~) | x-session-manager
Suggests: cinnamon-control-center (>= 5.4~), xdg-user-dirs
Replaces: muffin-doc
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.
Breaks: cinnamon (<< 5.6~), cinnamon-core (<< 5.4~)

Package: muffin-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
         libatk1.0-dev,
         libcairo2-dev,
         libcinnamon-desktop-dev (>= 5.6),
         libdrm-dev,
         libegl1-mesa-dev,
         libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev,
         libjson-glib-dev,
         libmuffin0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Breaks: libmuffin0 (<< 5.4.1-1~)
Replaces: libmuffin0 (<< 5.4.1-1~)
Description: window and compositing manager (development files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the development files.

## muffin 5.6.3

=== debian/changelog ===
muffin (5.6.3-1) unstable; urgency=medium

  * New upstream version 5.6.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 08 Jan 2023 20:59:44 +0100

## muffin 5.6.4

=== debian/changelog ===
muffin (5.6.4-1) unstable; urgency=medium

  * New upstream bugfix version 5.6.4
  * Replace libgdk-pixbuf2.0-dev build-dep. with libgdk-pixbuf-2.0-dev
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Mar 2023 22:33:27 +0100

=== debian/control ===
--- 
+++ 
@@ -149,7 +149,7 @@
          libcinnamon-desktop-dev (>= 5.6),
          libdrm-dev,
          libegl1-mesa-dev,
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          libgles2-mesa-dev | libgles2-dev,
          libglib2.0-dev,
          libgraphene-1.0-dev (>= 1.9.3),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS = \
	-Dprofiler=false \
	-Dremote_desktop=false

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dudev=false \
	-Dcore_tests=false \
	-Dlibwacom=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  TEST_COMMAND += --num-processes $(NUMJOBS)
endif

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips since they either time out or fail too much,
# blocking migration to testing
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
endif
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin

=== debian/watch ===
version=4
https://github.com/linuxmint/muffin/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## muffin 5.6.4%2Bvera

=== debian/changelog ===
muffin (5.6.4+vera) vera; urgency=medium

  [ Michael Webster ]
  * meta-gpu-xrandr: Account for the current user text scale factor when calculating the crtc scale based on Xft.dpi.
  * window.c: Allow meta_window_get_xwindow() to be used with introspection.
  * window.c: Restore property notify for the tile mode property.
  * place.c: Add missing import.
  * display.c: Make meta_display_get_pointer_window() available to cinnamon again.
  * clutter-text.c: Remove redundant clutter_text_set_buffer call in finalize.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:59:23 +0000

muffin (5.6.3) vera; urgency=medium

  [ Bobby Rong ]
  * compositor: Fix possible crash when restarting Cinnamon (#655)

  [ Michael Webster ]
  * tiling: Skip the resize effect for tiled windows during user grabs.
  * tiling: Remove unnecessary update_edge_constraints().
  * Add tilix and qterminal to the new-window focus list.
  * window activation: Detect a couple of conditions that might cause initial window focus and stacking to be wrong (mostly because of bad timestamps), and correct them.
  * window.c: Improve the test for checking if an 'above' window may cover a new window.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:54:38 +0000

muffin (5.6.2) vera; urgency=medium

  [ Michael Webster ]
  * Disable automaximize by default.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 15:15:15 +0000

muffin (5.6.1) vera; urgency=medium

  [ Duncan Grisby ]
  * Bring back window placement-mode  (#649)

  [ Michael Webster ]
  * Update debian symbols file.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 16:32:53 +0000

muffin (5.6.0) vera; urgency=medium

  [ Michael Webster ]
  * Use github instead of circleci.
  * tooltips: ensure tooltips are viewable.
  * window-props: Change a warning to a debug message.
  * meta-input-settings: Re-apply settings once the display is done setting up.

  [ Rick Calixte ]
  * Support multiple key bindings for 'locate-pointer-key' (#638)

  [ Cobinja ]
  * Revert renaming of the X11 atoms wm_name and gnome_wm_keybindings

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2022 10:01:55 +0000

muffin (5.4.7) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * some fixes to debian packaging (#635)

  [ Michael Webster ]
  * keybindings: Fix workspace navigation while dragging a window with the mouse.
  * tiling: Try to tile to the default size if a match exists, but is impossible to satisfy due to min/max size constraints.
  * tiling: Fix tile top/maximize tests.
  * window.c: Remove unused code.
  * tiling: Make it easier to debug.
  * Relocate bring-windows-to-current-workspace from org.cinnamon to org.cinnamon.muffin.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:35:56 +0100

## muffin 5.6.4+elsie

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('profiler',
  type: 'boolean',
  value: false,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('default_driver',
  type: 'combo',
  choices: ['auto', 'gl', 'gl3', 'gles2', 'nop'],
  value: 'gl'
)

=== debian/changelog ===
muffin (5.6.4+elsie) vera; urgency=medium

  [ Michael Webster ]
  * meta-gpu-xrandr: Account for the current user text scale factor when calculating the crtc scale based on Xft.dpi.
  * window.c: Allow meta_window_get_xwindow() to be used with introspection.
  * window.c: Restore property notify for the tile mode property.
  * place.c: Add missing import.
  * display.c: Make meta_display_get_pointer_window() available to cinnamon again.
  * clutter-text.c: Remove redundant clutter_text_set_buffer call in finalize.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:59:23 +0000

## muffin 5.6.4+vera

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@
@@ -84,3 +84,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin
+
+override_dh_strip:
+	dh_strip --dbg-package=muffin-dbg
+
+override_dh_dwz:

## muffin 5.8.0+victoria

=== debian/changelog ===
muffin (5.8.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * meta-gpu-xrandr: Account for the current user text scale factor when calculating the crtc scale based on Xft.dpi.
  * window.c: Allow meta_window_get_xwindow() to be used with introspection.
  * Restore some global signals.
  * window.c: Restore property notify for the tile mode property.
  * place.c: Add missing import.
  * display.c: Make meta_display_get_pointer_window() available to cinnamon again.
  * clutter-text.c: Remove redundant clutter_text_set_buffer call in finalize.
  * window.c: Fix copy/paste error in tile zone detection.
  * github workflow: Add optional ssh session.
  * tiling: Expose tile 'push' actions that are currently used by keybindings.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 16:15:07 +0100
